source: ralphm-patches/minimum-Twisted.patch @ 83:255aae0cf8c5

Last change on this file since 83:255aae0cf8c5 was 78:361e2111a663, checked in by Ralph Meijer <ralphm@…>, 4 years ago

Start port to Python 3.

File size: 859 bytes
  • setup.py

    # HG changeset patch
    # Parent  864d257886840e41b04803163c858ae51b5e8d04
    
    diff --git a/setup.py b/setup.py
    a b  
    33# Copyright (c) Ralph Meijer.
    44# See LICENSE for details.
    55
     6import sys
    67from setuptools import setup
    78
    89# Make sure 'twisted' doesn't appear in top_level.txt
     
    2728
    2829    egg_info.write_toplevel_names = _hacked_write_toplevel_names
    2930
     31if sys.version < (3, 0):
     32    requiredTwisted = "15.5.0"
     33else:
     34    requiredTwisted = "16.4.0"
     35
    3036setup(name='wokkel',
    3137      version='0.7.1',
    3238      description='Twisted Jabber support library',
     
    4450      package_data={'twisted.plugins': ['twisted/plugins/server.py']},
    4551      zip_safe=False,
    4652      install_requires=[
    47           'Twisted >= 10.0.0',
     53          'Twisted >= %s' % requiredTwisted,
    4854          'python-dateutil',
    4955      ],
    5056)
Note: See TracBrowser for help on using the repository browser.